﻿local addonName,ns = ...

ns.killvalue = 0	--默认斩杀数值
ns.RightAuraMax = 3		--右侧光环数量
ns.RightAuraSize = 30	--右侧光环大小

--自带材质列表
ns.HpTextures = {
	["noHpTexture"] = "Interface\\Addons\\PlateColor\\texture\\HP-noHpTexture",
	["PlateColor"] = "Interface\\Addons\\PlateColor\\texture\\HP-PlateColor",
	["Rainbow"] = "Interface\\Addons\\PlateColor\\texture\\HP-rainbow",
	["PC-BarFill"] = "Interface\\Addons\\PlateColor\\texture\\HP-PC-BarFill",
}

--斩杀法术
ns.killSpellId = {
	["384581"] = 35,--奥术弹幕
	["383604"] = 35,--火法11.0强化灼烧
	["449349"] = 35,--火法11.0日怒之型
	["269644"] = 30,--灼烧之触天赋
	["2948"]   = 30,--火法11.0灼烧
	["53351"]  = 20,--猎人夺命射击
	["32379"]  = 20,--暗牧痛
}

--不读条也需要显示目标的怪
ns.ShowTarget = {
	["174773"] = true,--怨毒影魔
	["165251"] = true,--仙林老二狐狸
	["165560"] = true,--仙林尾王小怪
	["40357"]  = true,--格瑞姆巴托老三被召唤的暗影烈焰之灵
	["218961"] = true,--回响之城老一小蜘蛛
	["164702"] = true,--通灵老一小怪
	
}

--无仇恨但需要仇恨变色的怪
ns.noThreatNpc = {
	["190366"] = true,--注能青蛙
	["195399"] = true,--注能老二召唤的青蛙
}

--需要显示在血条上但暴雪默认没有显示的光环
ns.ShowAuras = {
	[10326]  = true,	--超度邪恶
	[123586] = true,	--翔龙减速
	[31589]  = true,	--法师减速
	[391104] = true,	--法师群体减速
	[360806] = true,	--龙人梦游
}

--默认右侧光环
ns.RightAuras = {
	[226510] = true,	--血池
	[461904] = true,	--星宇飞升(11.0词缀加急速叠层)

	--地心之战
	[340191] = true,	--仙林龙母回血
	[323059] = true,	--仙林老一易伤旧版
	[323149] = true,	--仙林老一易伤
	[343470] = true,	--通灵骷髅劫掠者骨盾
	[320772] = true,	--通灵尾王彗星风暴
	[451387] = true,	--格瑞姆操纵者50%AOE
	[461978] = true,	--赛季词缀加急速
	[446794] = true,	--回响之城老一贪得无厌
	

	--暗影国度
	[373724] = true,	--大伪装盾
	[229489] = true,	--卡拉赞象棋国王减伤
	[163689] = true,	--钢铁码头二号boss盾
	[153153] = true,	--影月墓地老一小怪
	[113315] = true,	--青龙寺老二BOSS叠层
	[113309] = true,	--青龙寺老二BOSS免疫
	[257314] = true,	--自由尾王小怪爆炸倒计时

	--巨龙时代
	[260805] = true,	--庄园老一水晶
	[260512] = true,	--庄园大树层数
	[264027] = true,	--庄园毒心诱魂者蜡烛buff
	[278431] = true,	--庄园小虫子寄生BUFF
	[413027] = true,	--永恒下小怪减伤罩子
	[253721] = true,	--阿塔达萨小怪减伤罩子
	[164275] = true,	--永茂林地老一易伤
	[428746] = true,	--永茂林地尾王易伤
	[225503] = true,	--黑心花回血BUFF
	[372824] = true,	--奈萨鲁斯链子易伤
	[388523] = true,	--奈萨鲁斯老2链子易伤
	[377014] = true,	--奈萨鲁斯尾王易伤
	[433522] = true,	--碧蓝斩杀饰品
	[278467] = true,	--自由镇坏酒
}
