﻿local nameshow = GetCVar("UnitNameNPC")
local PCincombat = false
local function PCAutoPlate()
	if InCombatLockdown() then
		PCincombat = true
		return
	end
	local level, affixes = C_ChallengeMode.GetActiveKeystoneInfo()
	if not affixes then return end
	if affixes[1] == 135 or affixes[2] == 135 or affixes[3] == 135 then
		SetCVar("nameplateShowOnlyNames", 0)
		SetCVar("UnitNameNPC",1)
		C_NamePlate.SetNamePlateFriendlySize(360,-35)
		print("检测到受难词缀,名字模式已关闭,结束后会自动开启")
	else
		SetCVar("nameplateShowOnlyNames", 1)
		SetCVar("UnitNameNPC",nameshow)
		C_NamePlate.SetNamePlateFriendlySize(PlateColorDB.friendnpX,PlateColorDB.friendnpY)--友方血条缩小
	end
	PCincombat = false
end

local Keys = CreateFrame('Frame')
Keys:RegisterEvent("CHALLENGE_MODE_START")
Keys:RegisterEvent("ZONE_CHANGED_NEW_AREA")
Keys:RegisterEvent("PLAYER_ENTERING_WORLD")
Keys:RegisterEvent("PLAYER_REGEN_ENABLED")
Keys:SetScript('OnEvent', function(self, event, ids)
	if not PlateColorDB.OnlyName then return end
	if not PlateColorDB.autoOnlyName then return end
	if PlateColorDB.disableCVarSet then return end
	if event ~= "PLAYER_REGEN_ENABLED" then
		C_Timer.After(2,function()
			PCAutoPlate()
		end)
	else
		if PCincombat then
			PCAutoPlate()
		end
	end
end)

--计数器山谷尾王图腾
local num
local CX = CreateFrame('Frame')
CX:RegisterEvent("PLAYER_ENTERING_WORLD")
CX:RegisterEvent("NAME_PLATE_UNIT_ADDED")
CX:RegisterEvent("PLAYER_REGEN_ENABLED")
CX:SetScript('OnEvent', function(self, event, frame)
if event == "PLAYER_ENTERING_WORLD" or event == "PLAYER_REGEN_ENABLED" then
	num = 1
elseif event == "NAME_PLATE_UNIT_ADDED" then
	local namePlate = C_NamePlate.GetNamePlateForUnit(frame,false)
	local unitFrame = namePlate.UnitFrame
	if not unitFrame.unit then return end
	local guid = UnitGUID(unitFrame.unit)
	local _, _, _, _, _, id = strsplit("-", guid or "") 
	if not unitFrame.num and unitFrame.healthBar then
		unitFrame.num = unitFrame.healthBar:CreateFontString(nil)
		unitFrame.num:SetFont(SystemFont_Outline_Small:GetFont(), 50, "OUTLINE")	--施法时间文字大小
		unitFrame.num:SetPoint("BOTTOM", unitFrame.healthBar, "TOP", 0, -7)
	end
	if unitFrame.num and id == "190381" then
		unitFrame.num:SetText(num)
		unitFrame.num:Show()
		num = num+1
	else
		unitFrame.num:Hide()
	end
end
end)